#!/bin/sh -e
### BEGIN INIT INFO
# Provides:          photogallery-start-stop
# Short-Description: Start or stop the daemon;
### END INIT INFO

GEOCODE_NAME=geocode
FILEMD5SUM_NAME=pgfilemd5sum
SYNC_NAME=pgsync
PGUTIL_NAME=pgutil
PKG_PATH=/usr/local/AppCentral/photogallery
GEOCODE_PATH=$PKG_PATH/bin/$GEOCODE_NAME
FILEMD5SUM_PATH=$PKG_PATH/bin/$FILEMD5SUM_NAME
SYNC_DAEMON=$PKG_PATH/bin/$SYNC_NAME
PGUTIL_PATH=$PKG_PATH/bin/$PGUTIL_NAME

case "$1" in
    start)
#        echo "Starting daemon"
		$PGUTIL_PATH start_sync
        # start sync daemon
        $SYNC_DAEMON
        $GEOCODE_PATH
        $FILEMD5SUM_PATH
        ;;
    stop)
#        echo "Stopping daemon"
        /usr/bin/killall $SYNC_NAME
        /usr/bin/killall $GEOCODE_NAME
        /usr/bin/killall $FILEMD5SUM_NAME
#TODO: if no more needs to write log file, remove lines below("remove log file").
        /bin/rm /usr/local/AppCentral/photogallery/etc/retry.log
        /bin/rm /usr/local/AppCentral/photogallery/etc/upload_failed.log
        ;;
    restart)
        echo "Restarting geocode daemon"
        $0 stop
        $0 start
        ;;
    *)
        echo "usage: $0 {start|stop|restart}"
        exit 2
        ;;
esac

exit 0
